<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    version="1.0">

    <xsl:template match="PLANETY">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

            <fo:layout-master-set>
                 <fo:simple-page-master master-name="page"
                     page-height="400mm" page-width="300mm"
                     margin-top="10mm" margin-bottom="10mm"
                     margin-left="20mm" margin-right="20mm">

                     <fo:region-body
                       margin-top="0mm" margin-bottom="10mm"
                       margin-left="0mm" margin-right="0mm"/>

                     <fo:region-after extent="10mm"/>
                 </fo:simple-page-master>
             </fo:layout-master-set>

             <fo:page-sequence master-name="page">

                 <fo:flow flow-name="xsl-region-body">
                     <fo:block font-weight="bold" font-size="36pt" 
                         line-height="48pt" font-family="Times"
                         color="blue">
                         Tabela planet
                     </fo:block>
                     <xsl:apply-templates/>
                 </fo:flow>
             </fo:page-sequence>

        </fo:root>
    </xsl:template>

    <xsl:template match="PLANETA/NAZWA">
        <fo:block font-weight="bold" font-size="28pt" 
            line-height="48pt" font-family="Times"
            font-style="italic">
            Planeta: 
            <xsl:apply-templates/>
        </fo:block>
    </xsl:template>

    <xsl:template match="PLANETA/MASA">
        <fo:block font-size="24pt" line-height="32pt" 
            font-family="Times">
            <fo:inline text-decoration="underline">
                Masa 
            </fo:inline>:
            <xsl:apply-templates/>
            [Ziemia = 1]
        </fo:block>
    </xsl:template>

    <xsl:template match="PLANETA/DZIEŃ">
        <fo:block font-size="24pt" line-height="32pt" 
            font-family="Times">
            <fo:inline text-decoration="underline">
                Dzień 
            </fo:inline>:
            <xsl:apply-templates/>
            [Ziemia = 1]
        </fo:block>
    </xsl:template>

    <xsl:template match="PLANETA/PROMIEŃ">
        <fo:block font-size="24pt" line-height="32pt" 
            font-family="Times">
            <fo:inline text-decoration="underline">
                Promień 
            </fo:inline>:
            <xsl:apply-templates/>
            mil
        </fo:block>
    </xsl:template>

    <xsl:template match="PLANETA/GĘSTOŚĆ">
        <fo:block font-size="24pt" line-height="32pt" 
            font-family="Times">
            <fo:inline text-decoration="underline">
                Gęstość 
            </fo:inline>:
            <xsl:apply-templates/>
            [Ziemia = 1]
        </fo:block>
    </xsl:template>

    <xsl:template match="PLANETA/ODLEGŁOŚĆ">
        <fo:block font-size="24pt" line-height="32pt" 
            font-family="Times">
            <fo:inline text-decoration="underline">
                Odległość 
            </fo:inline>:
            <xsl:apply-templates/>
            millionów mil
        </fo:block>
    </xsl:template>

</xsl:stylesheet>
